Subject: [Megaco] Bit order

From: Christer Holmberg <[email-masked]>
Date: Tue, 09 Apr 2002 14:22:54 +0300

Hi,

I have a clarification question:

Annex B.3 says:

>B.3     Hexadecimal octet coding
>    Hexadecimal octet coding is a means for representing a string of
>   octets as a string of hexadecimal digits, with two digits
>   representing each octet. This octet encoding should be used when
>   encoding octet strings in the text version of the protocol.
>   For each octet, the 8-bit sequence is encoded as two hexadecimal
>   digits. Bit 0 is the first transmitted; bit 7 is the last.
>   Bits 7-4 are encoded as the first hexadecimal digit, with Bit 7 as
>   MSB and Bit 4 as LSB. Bits 3-0 are encoded as the second hexadecimal

>   digit, with Bit 3 as MSB and Bit 0 as LSB.        Examples:
>   Octet bit pattern                   Hexadecimal coding
>   00011011                            D8
>   11100100                            27
>   10000011 10100010 11001000 00001001 C1451390

My problem is understanding this.  The examples could help a if I it was
shown in the text which bit is bit 0 etc.  What I would like to know/see
is the
example(s) changed to help my understanding, something like this:

   Octet bit pattern (bits:01234567)   Hexadecimal coding
   00011011                            D8
   11100100                            27
   10000011 10100010 11001000 00001001 C1451390

The above bit order (from 0 (LSB) to 7 (MSB)) is what I suspect it
should be, that's why it is in the example.

Regards,

Christer Holmberg
Ericsson Finland

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco